GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::operation::overlay::OverlayNodeFactory Class Reference

Creates nodes for use in the geomgraph::PlanarGraph constructed during overlay operations. NOTE: also used by operation::valid. More...

`#include <OverlayNodeFactory.h>`

Inherits geos::geomgraph::NodeFactory.

## Public Member Functions
geomgraph::Node * | createNode (const geom::Coordinate &coord) const
Public Member Functions inherited from geos::geomgraph::NodeFactory
virtual Node * | createNode (const geom::Coordinate &coord) const

## Static Public Member Functions
static const geomgraph::NodeFactory & | instance ()
Static Public Member Functions inherited from geos::geomgraph::NodeFactory
static const NodeFactory & | instance ()

## Detailed Description

Creates nodes for use in the geomgraph::PlanarGraph constructed during overlay operations. NOTE: also used by operation::valid.

The documentation for this class was generated from the following file:

- OverlayNodeFactory.h